Bug Hunting Session
Bug 127880 - HIG Columns in Writer dialog Page Style update
Summary: HIG Columns in Writer dialog Page Style update
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-30 10:20 UTC by andreas_k
Modified: 2019-10-18 16:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Hide Column Dialog update (75.96 KB, image/png)
2019-09-30 10:20 UTC, andreas_k
Details
Hide Column Dialog update 02 (49.03 KB, image/png)
2019-10-09 22:49 UTC, andreas_k
Details
Screenshot with the patch applied (16.24 KB, image/png)
2019-10-10 09:36 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-09-30 10:20:44 UTC
Created attachment 154654 [details]
Hide Column Dialog update

Separator Line is one group and one group should be in one column at least if the space is available and as the dialog didn't increase in size, I suggest to make one column instead of 3 for Separator Line.


Top: master
Bottom: proposal
Comment 1 Heiko Tietze 2019-10-02 07:28:32 UTC
With larger controls as for gtk3 the dialog may grow in height. But I'm +1 anyway.
Comment 2 Cor Nouws 2019-10-09 19:11:09 UTC
OK ..
Comment 3 andreas_k 2019-10-09 22:49:49 UTC
Created attachment 154873 [details]
Hide Column Dialog update 02

As Position is align to Height I added it there and now it's also one row smaller.
Comment 4 Heiko Tietze 2019-10-10 07:29:14 UTC
Looks good. Keep an eye on the vertical line of the labels, seems to be not pixel-perfect neither left-aligned. And last but not least the preview is quite small and lacks on a section title. OTOH, Width and Spacing below needs all the horizontal space.
Comment 5 Heiko Tietze 2019-10-10 09:36:51 UTC
Created attachment 154893 [details]
Screenshot with the patch applied

Comment on Gerrit: "Captions at Width and Spacing are right aligned. And it would be nice to start controls at the same distance, meaning all captions are in one box (one grid for all content).
Style dropdown is a bit to small and the content is hard to read (screenshot at BZ)."
Comment 6 Commit Notification 2019-10-18 11:06:14 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f71dd69a712602a97f0a0b3950b0750ff0beba25

tdf#127880 Columns in Writer dialog is HIG conform

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.